%define sourcedir stable/%{version}/distribution/tar/generic/source
%define DATE 20020326
%define is_release 1
%define beta %{nil}
%define rel 4

Name: kdenetwork
Version: 3.0.0
%define ver %{version}%{beta}
%if %{is_release}
%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
%else
Release: %{rel}
%endif
%else
Release: 0.cvs%{DATE}.%{rel}
%endif
Prefix: /usr
Icon: kde-icon.xpm
Summary: K Desktop Environment - Network Applications
%if %{is_release}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{ver}.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{DATE}.tar.bz2
%endif
Obsoletes: kdenetwork2
Source1: kppp.pamd
Source2: ktalk
Source3: kotalk
Epoch: 7
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
BuildRequires: qt-devel >= 3.0.3 kdelibs-devel >= 3.0.0-10 XFree86-devel glibc-devel gcc-c++ libstdc++
Requires(post,postun): /sbin/ldconfig
Source900: gccver.c

%description
Networking applications for the K Desktop Environment.

%package libs
Summary: KDE Networking libraries
Group: System Environment/Libraries
Requires: qt >= 3.0.1 kdelibs >= 3.0.0
Obsoletes: kdenetwork

%description libs
Networking libraries used by KDE.
kdenetwork-libs contains libkdenetwork (network functionality for KDE)
and Mimelib (library for decoding and encoding.

%package devel
Summary: Development files for kdenetwork
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}

%description devel
Development files for kdenetwork. Install kdenetwork-devel if you wish
to develop or compile KDE networking applications.

%package -n kppp
Summary: K Desktop Environment - PPP Network Applications
Group: Applications/Internet
Requires: usermode
Obsoletes: kdenetwork-ppp
Provides: kdenetwork-ppp

%description -n kppp
PPP Networking applications for the K Desktop Environment.

Install kppp if you intend to use KDE on a machine using
PPP networking.

%package -n ksirc
Summary: IRC client for KDE
Group: Applications/Internet
Obsoletes: kdenetwork

%description -n ksirc
An IRC (Internet Relay Chat) client for KDE.

%package -n kdict
Summary: A DICT (net dictionary) client for KDE
Group: Applications/Internet
Obsoletes: kdenetwork

%description -n kdict
A DICT (net dictionary) client for KDE.

%package -n kit
Summary: KIT - An AIM client for KDE
Group: Applications/Internet
Obsoletes: kdenetwork

%description -n kit
An AIM (AOL Instant Messager) client for KDE

%package -n kmail
Summary: A mail client for KDE
Group: Applications/Internet
Requires: %{name}-libs = %{version}-%{release}
Obsoletes: kdenetwork

%description -n kmail
A mail client for KDE.
KMail supports local mail spools as well as all commonly used
Internet mail protocols (POP3, IMAP, SMTP, ...)

%package -n knewsticker
Summary: A News Ticker for KDE
Group: Applications/Internet
Requires: %{name}-libs = %{version}-%{release}
Obsoletes: kdenetwork

%description -n knewsticker
KNewsticker is a KDE applet that will display current news from Internet
sites of your choice.

%package -n knode
Summary: A newsgroup (NNTP) reader for KDE
Group: Applications/Internet
Requires: %{name}-libs = %{version}-%{release}
Obsoletes: kdenetwork

%description -n knode
A newsgroup (NNTP) reader for KDE.

%package -n korn
Summary: Multi-folder new mail monitor for KDE
Group: Applications/Internet
Obsoletes: kdenetwork

%description -n korn
A multi-folder new mail monitor for KDE.
KOrn will display the number of new messages in your mail
folders in kicker (the KDE panel).

%package -n ktalkd
Summary: Talk (chat) protocol implementation for KDE
Group: Applications/Internet
Obsoletes: kdenetwork

%description -n ktalkd
An implementation of the Talk protocol for KDE.

%package -n kxmlrpcd
Summary: Remote scripting capability for KDE
Group: Applications/Internet
Obsoletes: kdenetwork

%description -n kxmlrpcd
KXmlRpcD allows you to execute DCOP calls from other machines using
the XmlRpc protocol.

%package -n lisa
Summary: LAN browser
Group: Applications/Internet
Obsoletes: kdenetwork

%description -n lisa
LISa is intended to provide a kind of "network neighbourhood" but only
relying on the TCP/IP protocol stack, no smb or whatever.

%package -n kpf
Summary: KDE Public Fileserver
Group: Applications/Internet
Obsoletes: kdenetwork

%description -n kpf
KPF is an easy to use public file server controlled from the KDE panel.
Simply drag a file or directory to the KPF button to share it.

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q -n %{name}-%{ver}
%else
%setup -q -n %{name}
%endif

# Workaround for legacy auto* tools
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
# End workaround

make -f Makefile.cvs

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="-D_GNU_SOURCE"

cp -a /usr/share/libtool/l* .
%ifnarch alpha
CFLAGS="$FLAGS $RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" CXXFLAGS="$FLAGS $RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -fno-check-new" \
%else
CFLAGS="$FLAGS" CXXFLAGS="$FLAGS" \
%endif
./configure --prefix=%{prefix} \
	--includedir=%{prefix}/include/kde
gcc -o gccver %{SOURCE900}
if [ "0`./gccver`" -lt 3001 ]; then
        find . -name Makefile |xargs perl -pi -e "s,^CXXLD\s*=.*,\$& -release gcc`./gccver -v`,g"
fi

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/kppp

# Make symlinks relative
(
  mkdir -p $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/common
  cd $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en
  for i in *; do
    [ -d $i -a -L $i/common ] && ln -nfs ../common $i
  done
)

# Run kppp through consolehelper
mkdir -p $RPM_BUILD_ROOT%{prefix}/sbin
mv $RPM_BUILD_ROOT%{prefix}/bin/kppp $RPM_BUILD_ROOT%{prefix}/sbin
ln -s consolehelper $RPM_BUILD_ROOT%{prefix}/bin/kppp
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
cat >$RPM_BUILD_ROOT/etc/security/console.apps/kppp <<EOF
USER=root
PROGRAM=/usr/sbin/kppp
SESSION=true
EOF

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d
cp %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d

%clean
# rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}* $RPM_BUILD_DIR/%{name} 

%files libs
%defattr(-,root,root)
%{_libdir}/libkdenetwork*.so.*
%{_libdir}/libmimelib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*.h
%{_includedir}/kde/mimelib
%{_libdir}/libmimelib*.??
%{_libdir}/libkdenetwork*.??

%files -n kppp
%defattr(-,root,root)
%{_bindir}/kppp*
%{_sbindir}/kppp
%{_datadir}/applnk/Internet/*ppp*
%{_datadir}/apps/kppp
%{_datadir}/icons/*/*/*/*ppp*
%doc %{_docdir}/HTML/en/kppp
%config /etc/security/console.apps/kppp
%config /etc/pam.d/kppp

%files -n ksirc
%defattr(-,root,root)
%{_bindir}/?sirc
%{_libdir}/*irc*
%{_datadir}/applnk/Internet/ksirc.desktop
%{_datadir}/apps/ksirc
%config %{_datadir}/config/ksircrc
%doc %{_docdir}/HTML/en/ksirc
%{_datadir}/icons/*/*/apps/ksirc*

%files -n kdict
%defattr(-,root,root)
%{_bindir}/kdict
%{_datadir}/applnk/Utilities/kdict.desktop
%{_datadir}/apps/kdict
%{_libdir}/kde3/*dict*
%{_datadir}/apps/kicker/applets/kdictapplet.desktop
%{_datadir}/icons/*/*/apps/kdict.png
%doc %{_docdir}/HTML/en/kdict

%files -n kit
%defattr(-,root,root)
%{_bindir}/kit
%{_datadir}/applnk/Internet/kit.desktop
%{_datadir}/apps/kit
%{_datadir}/icons/*/*/apps/kit.png
%doc %{_docdir}/HTML/en/kit

%files -n kmail
%defattr(-,root,root)
%{_bindir}/kmail*
%{_datadir}/applnk/Internet/KMail.desktop
%{_datadir}/applnk/Utilities/kmailcvt.desktop
%{_datadir}/apps/kconf_update/kmail*
%{_datadir}/apps/kconf_update/kpgp.upd
%{_datadir}/apps/kconf_update/upgrade-transport.pl
%{_datadir}/apps/kmail
%{_datadir}/icons/*/*/apps/kmail*
%doc %{_docdir}/HTML/en/kmail

%files -n knewsticker
%defattr(-,root,root)
%{_bindir}/knewsticker*
%{_libdir}/kde3/*newsticker*
%{_libdir}/libkntsrcfilepropsdlg*.*
%{_datadir}/applnk/.hidden/knewsticker*
%{_datadir}/applnk/Settings/Network/kcmnewsticker*
%{_datadir}/applnk/Settings/Personalization/kcmnewsticker*
%{_datadir}/applnk/Internet/knewsticker-standalone.desktop
%{_datadir}/apps/kconf_update/knewsticker.upd
%{_datadir}/apps/kicker/applets/knewsticker.desktop
%{_datadir}/apps/knewsticker
%{_datadir}/icons/*/*/apps/knewsticker*
%{_datadir}/services/kntsrcfilepropsdlg.desktop
%{_datadir}/apps/kconf_update/knt*
%doc %{_docdir}/HTML/en/knewsticker

%files -n knode
%defattr(-,root,root)
%{_bindir}/knode
%{_datadir}/apps/knode
%{_datadir}/icons/*/*/apps/knode*
%{_datadir}/services/knewsservice.protocol
%doc %{_docdir}/HTML/en/knode

%files -n korn
%defattr(-,root,root)
%{_bindir}/korn
%{_datadir}/applnk/Internet/KOrn.desktop
%{_datadir}/icons/*/*/apps/korn*
%doc %{_docdir}/HTML/en/korn

%files -n ktalkd
%defattr(-,root,root)
%{_bindir}/mail.local
%{_bindir}/*talk*
%{_libdir}/kde3/libkcm_ktalkd.*
%{_datadir}/applnk/Settings/Network/kcmktalkd.desktop
%{_datadir}/icons/*/*/apps/ktalkd*
%{_datadir}/sounds/ktalkd.wav
%config %{_datadir}/config/ktalkdrc
%doc %{_docdir}/HTML/en/ktalkd
%config %{_sysconfdir}/xinetd.d/ktalk
%config %{_sysconfdir}/xinetd.d/kotalk

%files -n kxmlrpcd
%defattr(-,root,root)
%{_bindir}/kxmlrpcd
%{_libdir}/kde3/libkcm_*xml*
%{_libdir}/*xml*
%{_datadir}/applnk/Settings/System/*xml*
%{_datadir}/services/kxmlrpcd.desktop

%files -n lisa
%defattr(-,root,root)
%{_bindir}/lisa
%{_bindir}/reslisa
%{_libdir}/kde3/libkcm_lanbrowser*.*
%{_libdir}/kio_lan*.*
%{_datadir}/applnk/Internet/KNode.desktop
%{_datadir}/applnk/Settings/Network/lanbrowser.desktop
%{_datadir}/apps/konqueror/dirtree/remote/lan.desktop
%{_datadir}/apps/lisa
%{_datadir}/services/*lan.protocol
%doc %{_docdir}/HTML/en/lisa

%files -n kpf
%defattr(-,root,root)
%{_libdir}/kde3/kpf*
%{_datadir}/apps/kicker/applets/kpfapplet.desktop
%{_datadir}/icons/*/*/*/kpf.png
%{_datadir}/services/kpf*
%doc %{_docdir}/HTML/en/kpf


%changelog
* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Fix dangling symlink introduced by library renaming

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Rename libraries
- Fix default kmail settings

* Wed Apr  3 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Merge fixes for 3 potential kmail crashes from KDE_3_0_BRANCH

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0 final

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020306.1
- Rename subpackages

* Thu Jan 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.2
- Rebuild with new kdelibs

* Tue Jan 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.1
- Update

* Tue Jan  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020108.1
- Update
- Integrate ktalk stuff with xinetd

* Tue Dec 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011218.1
- Update
- Split into subpackages

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- Add build dependencies
- Work around ia64 breakages

* Sun May 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010513.1
- Update to CVS
- clean up specfile
- Use %%post -p and %%postun -p

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin

* Mon Feb 19 2001 Than Ngo <than@redhat.com>
- update 2.1
- fix dangling symlinks

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Limit CPU usage to 2 CPUs to make asok happy

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't require perl, not everyone using ksirc is also using
  ksirc perl scripting...

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update (needed because of kdelibs change)
- Obsolete kdenetwork2 (from 7.0 preview)

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing PAM file, fix group

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to HEAD 

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS (fix kmail segfault with empty identity)

* Tue Oct 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up consolehelper config

* Mon Oct 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current KDE_2_0_BRANCH (this should fix up knode)
- Run kppp through consolehelper (Bug #20021)
- Split of kppp and kppplog to a separate package, kdenetwork-ppp
  (RFE #20022)

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- disable keystone for now (compiler problem)

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt with glibc-2.1.92-14 and gcc-2.96-40

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete ktalk (powertools 6.x)
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Epoch

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Mon Oct 25 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- initial RPM
